Package net.md_5.bungee.chat

# Class TranslatableComponentSerializer

java.lang.Object
net.md_5.bungee.chat.BaseComponentSerializer
net.md_5.bungee.chat.TranslatableComponentSerializer

All Implemented Interfaces:
  `com.google.gson.JsonDeserializer<TranslatableComponent>`, `com.google.gson.JsonSerializer<TranslatableComponent>`

public class TranslatableComponentSerializer extends BaseComponentSerializer implements com.google.gson.JsonSerializer<TranslatableComponent>, com.google.gson.JsonDeserializer<TranslatableComponent>

- ## Field Summary

  ### Fields inherited from class net.md_5.bungee.chat.BaseComponentSerializer

  `serializer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TranslatableComponentSerializer(VersionedComponentSerializer serializer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TranslatableComponent`
  `deserialize(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context)`
  `com.google.gson.JsonElement`
  `serialize(TranslatableComponent src, Type typeOfSrc, com.google.gson.JsonSerializationContext context)`

  ### Methods inherited from class net.md_5.bungee.chat.BaseComponentSerializer

  `deserialize, serialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TranslatableComponentSerializer

    public TranslatableComponentSerializer(VersionedComponentSerializer serializer)

- ## Method Details

  - ### deserialize

    public TranslatableComponent deserialize(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context) throws com.google.gson.JsonParseException
    Specified by:
      `deserialize` in interface `com.google.gson.JsonDeserializer<TranslatableComponent>`
    Throws:
      `com.google.gson.JsonParseException`

  - ### serialize

    public com.google.gson.JsonElement serialize(TranslatableComponent src, Type typeOfSrc, com.google.gson.JsonSerializationContext context)
    Specified by:
      `serialize` in interface `com.google.gson.JsonSerializer<TranslatableComponent>`